summaryrefslogtreecommitdiff
path: root/tests/Makefile
diff options
context:
space:
mode:
authorDiego Biurrun <diego@biurrun.de>2007-01-10 20:40:02 +0000
committerDiego Biurrun <diego@biurrun.de>2007-01-10 20:40:02 +0000
commit3dd9fa77bfec7a2ced7a2af913a1db2ddcacf577 (patch)
tree5a20be16654cf93b7c2c58efe38abc4e1f981d7a /tests/Makefile
parent77aee36c5953d0f34896fa23622f50318a730cab (diff)
Bail out immediately with software scaler instead of failing the tests.
Originally committed as revision 7438 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/Makefile')
-rw-r--r--tests/Makefile9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 9c65bc5ebf..18a5157078 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -37,6 +37,15 @@ libavtest:
@echo
endif
+ifeq ($(CONFIG_SWSCALER),yes)
+test-server codectest mpeg4 mpeg ac3 snow snowll libavtest: swscale_error
+swscale_error:
+ @echo
+ @echo "This regression test is incompatible with --enable-swscaler."
+ @echo
+ @exit 1
+endif
+
# video generation
vsynth1/00.pgm: videogen$(EXESUF)